Subject: RE: [Diffserv] TB strict/loose conformance parameter in Diffserv Model draft

From: Shahram Davari <[email-masked]>
Date: Thu, 18 Jan 2001 07:52:00 -0800

Hi Andrew,

If we have a certain flow, it is obvious that the type of TB conformance has definitely effect on exactly which packets get through. And you could certainly build some artificial flow with acceptable burst size so that a large portion of it would not pass one or the other TB. One way to solve this problem is to use a matching shaper upstream of the policer. By doing so a traffic that has certain rate and burst characteristics could pass both TBs, provided that it is shaped properly for each one. Another method is to relax the downstream policer, so that its burst tolerance is higher than the upstream shaper's burst generation.

If we are looking at conformance to an SLA in a large time interval (100s of packets time interval), then  I think due to random nature of the traffic, statistically the average conformed rate would be the same on both TBs, regardless of what type of shaper is used upstream. (Some simulations may be required to confirm this)

If we are looking at short time intervals (such as a few packets time scale), then if the shapers are not matched to their downstream policers, and the downstream policers are not relaxed enough, then I think the conformed rate would be different using different TBs.

Yours,
-Shahram

> -----Original Message-----
> From: Andrew Smith [mailto:[email-masked]]
> Sent: Wednesday, January 17, 2001 2:53 PM
> To: [email-masked]'
> Subject: [Diffserv] TB strict/loose conformance parameter in Diffserv
> Model draft
> 
> 
> In thinking about this one some more, one of Shahram's 
> comments stands out in my 
> mind: I wonder if, indeed, it *is* useful and/or necessary 
> for a network 
> operator designing an end-to-end service using Diffserv to 
> know what type of 
> token bucket conformance meters are being used by hops along the path.
> 
> If that were true then management models (and MIBs and PIBs 
> and ....) probably 
> ought to expose this detail of the meter, at least as a 
> read-only parameter. 
> Thoughts?
> 
> Andrew
> 
> Juha Heinanen wrote:
> 
> > Brian E Carpenter writes:
> > 
> >  > We've been round and round on this many times.
> >  > Experienced implementors of IP routers tell us that
> >  > the loose model is in widespread use (i.e. it is
> >  > running code).
> > 
> > brian, could you tell me me whose router allows me to choose between
> > positive and negative leaky buckets?  so far i haven't seen any.  i
> > don't think that it a service to the router vendors or 
> those who need to
> > configure the boxes to introduce yet another option.
> > 
> > -- juha
> > 
> 
> 
> 
> 
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/diffserv
> Archive: 
http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html

_______________________________________________
diffserv mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/diffserv
Archive: http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.html